Bug 465840 - /etc/dat.conf still used when running dapltest / dtest (should be /etc/ofed/dat.conf)
/etc/dat.conf still used when running dapltest / dtest (should be /etc/ofed/d...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dapl (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Doug Ledford
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 13:29 EDT by Mehdi Bozzo-Rey
Modified: 2009-01-20 16:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:41:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0170 normal SHIPPED_LIVE openib bug fix update 2009-01-20 11:05:30 EST

  None (edit)
Description Mehdi Bozzo-Rey 2008-10-06 13:29:01 EDT
Description of problem:

/etc/dat.conf still used when running dapltest / dtest

Version-Release number of selected component (if applicable):

RHEL 52 / dapl-2.0.7-2.el5 / dapl-utils-2.0.7-2.el5

How reproducible: always


Steps to Reproduce:
1. run dapltest or dtest

[root@compute-00-02 ~]# dapltest
DT_cs_Server: Could not open ofa-v2-ib0 (DAT_PROVIDER_NOT_FOUND DAT_NAME_NOT_REGISTERED)
DT_cs_Server (ofa-v2-ib0):  Exiting.
[root@compute-00-02 ~]# dtest
4607 Running as server - ofa-v2-ib0
4607: Error Adaptor open: DAT_PROVIDER_NOT_FOUND DAT_NAME_NOT_REGISTERED


2. copy /etc/ofed/dat.conf 

[root@compute-00-02 ~]# cp /etc/ofed/dat.conf /etc/

 
3. try again : 

[root@compute-00-02 ~]# dtest
4615 Running as server - ofa-v2-ib0
dapls_ib_open_hca failed 120000
4615: Error Adaptor open: DAT_INVALID_ADDRESS
[root@compute-00-02 ~]# dapltest
dapls_ib_open_hca failed 120000
DT_cs_Server: Could not open ofa-v2-ib0 (DAT_INVALID_ADDRESS )
DT_cs_Server (ofa-v2-ib0):  Exiting.


And with debug enabled:

 
export DAT_DBG_TYPE=0xffff
export DAPL_DBG_TYPE=0xffff
 
I got the following output:
 
DAT Registry: Started (dat_init)
DAT Registry: static registry file </etc/dat.conf>
 
 
[root@compute-00-02 network-scripts]# which dapltest
/usr/bin/dapltest
[root@compute-00-02 network-scripts]# rpm -qf /usr/bin/dapltest
dapl-utils-2.0.7-2.el5
[root@compute-00-02 network-scripts]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5.2 (Tikanga)

  
Actual results:

fail with error. Best case is DAT_INVALID_ADDRESS, which should indicate ibX interface has no IP, but this is not the case.


Expected results:

[root@dr08 ~]# dapltest
<Dapltest: Service Point Ready - OpenIB-cma


Additional info:
Comment 1 Mehdi Bozzo-Rey 2008-10-06 22:45:45 EDT
workaround: export DAT_OVERRIDE=/etc/ofed/dat.conf
Comment 5 Gurhan Ozen 2008-10-14 16:19:16 EDT
# dapltest 
DAT Registry: Started (dat_init)
DAT Registry: static registry file </etc/ofed/dat.conf>
Comment 6 Gurhan Ozen 2008-10-15 08:28:00 EDT
I forgot to mention that this is fixed in 5.3 packages. When available, please upgrade.
Comment 8 errata-xmlrpc 2009-01-20 16:41:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0170.html

Note You need to log in before you can comment on or make changes to this bug.